package com.jeesharp.business.modules.food.service;

import com.jeesharp.business.modules.food.entity.FoodCompanyEmployee;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;
import com.jeesharp.framework.pojo.query.PaginationVO;

import java.util.List;

public interface FoodCompanyEmployeeService extends BaseInterface<FoodCompanyEmployee, PaginationVO> {

    List<FoodCompanyEmployee> listBoundByMemberId(String memberId);

    FoodCompanyEmployee getBoundEmployee(String companyId, String memberId);

    FoodCompanyEmployee getAnyByCompanyAndMember(String companyId, String memberId);

    List<FoodCompanyEmployee> listByCompanyId(String companyId);

    FoodCompanyEmployee saveOrBindEmployee(FoodCompanyEmployee employee);

    void freezeEmployee(String employeeId);

    void restoreEmployee(String employeeId);

    void unbindEmployee(String employeeId);
}
